Groovy 1.7.0

## org.codehaus.groovy.reflection
Class ClassInfo.ThreadLocalMapHandler

    java.lang.Object
      java.lang.ThreadLocal
          org.codehaus.groovy.reflection.ClassInfo.ThreadLocalMapHandler

    class ClassInfo.ThreadLocalMapHandler
    extends ThreadLocal

Field Summary
`SoftReference` | `recentThreadMapRef`

Constructor Summary
`ClassInfo.ThreadLocalMapHandler()`

Method Summary
`SoftReference` | `get()`
`protected SoftReference` | `initialValue()`

Methods inherited from class ThreadLocal
get, remove, set, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### recentThreadMapRef

    SoftReference recentThreadMapRef

Constructor Detail

### ClassInfo.ThreadLocalMapHandler

    ClassInfo.ThreadLocalMapHandler()

Method Detail

### get

    public SoftReference get()

### initialValue

    protected SoftReference initialValue()

Copyright © 2003-2009 The Codehaus. All rights reserved.